{"openapi":"3.0.3","info":{"title":"","version":"1.0.0"},"paths":{"/v0/crud":{"post":{"tags":["router/crud"],"summary":"创建用户信息","operationId":"CreateUserInfo","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"address":{"type":"string","description":"地址"},"age":{"type":"integer","format":"int32","description":"年龄"},"name":{"type":"string","description":"名称"}},"required":["name","age","address"]}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserInfoResponse"}}}},"400":{"description":"[BadRequest][40000000001][请求参数错误][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[BadRequest][40000000001][请求参数错误][]"]},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}}},"/v0/crud/0":{"put":{"tags":["router/crud"],"operationId":"ModifyUserInfo","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}}},"/v0/crud/hello":{"get":{"tags":["router/crud"],"operationId":"GetHelloWorld","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetHelloWorldResponse"}}}},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}}},"/v0/crud/{id}":{"get":{"tags":["router/crud"],"operationId":"GetUserInfo","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}},{"name":"username","in":"query","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserInfoResponse"}}}},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}}},"/v0/file":{"get":{"tags":["router/file"],"operationId":"DownloadFile","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}},"post":{"tags":["router/file"],"operationId":"UploadFile","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file1":{"type":"string","format":"binary"}},"required":["file1"]}}}},"responses":{"204":{"description":""},"400":{"description":"[UploadFileIsNotExist][40000000002][上传文件为找到][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[UploadFileIsNotExist][40000000002][上传文件为找到][]"]},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}}},"/v0/file/html":{"get":{"tags":["router/file"],"operationId":"HTML","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"text/html":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoServicexHTML"}}}},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}}},"/v0/file/image":{"get":{"tags":["router/file"],"operationId":"Image","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"image/png":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoServicexImagePNG"}}}},"401":{"description":"[Unauthorized][40100000001][未授权，请先授权][]","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitZdnsCnNgoToolsStatusErrorStatusErr"}}},"x-status-errors":["[Unauthorized][40100000001][未授权，请先授权][]"]}}}}},"security":[{"basicAuth":[]}],"components":{"schemas":{"CreateUserInfoResponse":{"type":"object","properties":{"ID":{"type":"integer","format":"int32","description":"用户ID"},"address":{"type":"string","description":"地址"},"age":{"type":"integer","format":"int32","description":"年龄"},"name":{"type":"string","description":"名称"}},"required":["ID","name","age","address"],"x-go-struct-name":"CreateUserInfoResponse"},"GetHelloWorldResponse":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"x-go-struct-name":"GetHelloWorldResponse"},"GetUserInfoResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"username":{"type":"string"}},"required":["username","id"],"x-go-struct-name":"GetUserInfoResponse"},"GitZdnsCnNgoServicexHTML":{"type":"string","format":"binary","x-go-struct-name":"GitZdnsCnNgoServicexHTML","x-go-vendor-type":"git.zdns.cn/ngo/servicex.HTML"},"GitZdnsCnNgoServicexImagePNG":{"type":"string","format":"binary","x-go-struct-name":"GitZdnsCnNgoServicexImagePNG","x-go-vendor-type":"git.zdns.cn/ngo/servicex.ImagePNG"},"GitZdnsCnNgoToolsStatusErrorStatusErr":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"状态码"},"key":{"type":"string","description":"错误名称"},"message":{"type":"string","description":"消息"}},"required":["key","code","message"],"x-go-struct-name":"GitZdnsCnNgoToolsStatusErrorStatusErr","x-go-vendor-type":"git.zdns.cn/ngo/tools/status_error.StatusErr"}},"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}}}